Neu Install phpBB 3.0.8

phpBB 3.0 hat sein "End of Life" erreicht. Eine Neu-Installation wird nicht mehr unterstützt.
Gast234254
Gesperrt
Beiträge: 1999
Registriert: 08.02.2009 22:58

Neu Install phpBB 3.0.8

Beitragvon Gast234254 » 23.11.2010 09:21

phpBB 3.0.8
Style prosilver
PHP Version 5.2.0-8+etch11
System Linux ns28936.ovh.net 2.6.18-6-686 #1 SMP
Mods:
classifieds_0.9.9
board3_portal_1_0_6
Rules.Mod.1.0.6.Beta

Web Adresse http://classifieds.wintstar.de/

Habe nach kompletten Neu install beim einlogen (http://classifieds.wintstar.de/ucp.php?mode=login) folgende Fehlermeldung

Code: Alles auswählen

[phpBB Debug] PHP Notice: in file /includes/functions.php on line 2356: file_exists() [function.file-exists]: open_basedir restriction in effect. File(.) is not within the allowed path(s): (/:/usr/share/php/:/tmp/)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 2361: file_exists() [function.file-exists]: open_basedir restriction in effect. File(.) is not within the allowed path(s): (/:/usr/share/php/:/tmp/)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 2471: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3706)
Beim erstellen und löschen von Beiträgen folgende Fehlermeldung

Code: Alles auswählen

Warning: Cannot modify header information - headers already sent by (output started at /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php:3706) in /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php on line 4519

Warning: Cannot modify header information - headers already sent by (output started at /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php:3706) in /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php on line 4521

Warning: Cannot modify header information - headers already sent by (output started at /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php:3706) in /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php on line 4522

Warning: Cannot modify header information - headers already sent by (output started at /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php:3706) in /var/www/virtual/wintstar.de/htdocs/websites/kam/includes/functions.php on line 4523


An was kann das liegen? Im include Ordner liegen keine js. Dateien der Mods.

Habe einen Linux Server, verursacht die -web.config- diese Fehelermeldungen?

Vorab Danke für hilfreiche Antworten.

Gruß
Stephan

Edit
Unter XAMPP habe ich diese Fehlermeldungen nicht

Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 15722
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: Neu Install phpBB 3.0.8

Beitragvon Dr.Death » 23.11.2010 17:26


Gast234254
Gesperrt
Beiträge: 1999
Registriert: 08.02.2009 22:58

Re: Neu Install phpBB 3.0.8

Beitragvon Gast234254 » 23.11.2010 20:11

Das bedeutet also, das wenn mein Hoster da nichts ändert das ich phpBB 3.0.8 auf meinem Server nicht betreiben kann. Wenn das so ist wäre ja diese Foren Version nur noch mit bestimmten Konfigurationen der Server möglich.

Dann wäre das eine Entwicklung in die falsche Richtung und dieses Forensystem wäre nicht mehr empfehlenswert :cry:

Schade :evil:

Benutzeravatar
Dr.Death
Moderator
Moderator
Beiträge: 15722
Registriert: 23.04.2003 08:22
Wohnort: Xanten
Kontaktdaten:

Re: Neu Install phpBB 3.0.8

Beitragvon Dr.Death » 23.11.2010 23:13

Es deutet nur auf eine nicht korrekte Einstellung des Safe Modes hin, kontaktiere einfach mal Deinen Hoster mit der Fehlermeldung.

Benutzeravatar
Mahony
Ehemaliger
Beiträge: 11970
Registriert: 17.11.2005 22:33
Wohnort: Esslingen (Neckar)
Kontaktdaten:

Re: Neu Install phpBB 3.0.8

Beitragvon Mahony » 23.11.2010 23:18

Hallo
Das bedeutet also, das wenn mein Hoster da nichts ändert das ich phpBB 3.0.8 auf meinem Server nicht betreiben kann.

Sag mal, was soll denn diese Motzerei? Das Problem liegt nicht bei der verwendeten Software (und auch nicht an der Version der Software), sondern einzig und allein an der Konfiguration des Servers.
Das /tmp/ - Verzeichnis wurde nicht mit in die Liste der erlaubten Pfade aufgenommen und somit hast du das Problem mit jeder anderen Software ganz genau so.
Dann wäre das eine Entwicklung in die falsche Richtung und dieses Forensystem wäre nicht mehr empfehlenswert

Wenn du gehen willst, dann geh - aber motze hier nicht ohne dass du weißt, wovon du da schreibst. :evil:

P.S. Das letztere spiegelt lediglich meine persönliche Meinung wider und hat nichts mit phpbb.de oder meiner Funktion als Moderator hier zu tun.


Grüße: Mahony
Taekwondo in Berlin
Wer fragt, ist ein Narr für fünf Minuten, wer nicht fragt, ist ein Narr für immer.

Benutzeravatar
nickvergessen
Ehrenadmin
Beiträge: 11559
Registriert: 09.10.2006 21:56
Wohnort: Stuttgart, Germany
Kontaktdaten:

Re: Neu Install phpBB 3.0.8

Beitragvon nickvergessen » 23.11.2010 23:20

Kannst du testweise mal in der includes/functions.php die beiden Vorkommen von

Code: Alles auswählen

!file_exists($pathinfo['dirname'])
in

Code: Alles auswählen

!file_exists($pathinfo['dirname'] . '/')
ändern?
kein Support per PN

Gast234254
Gesperrt
Beiträge: 1999
Registriert: 08.02.2009 22:58

Re: Neu Install phpBB 3.0.8

Beitragvon Gast234254 » 24.11.2010 08:13

nickvergessen hat geschrieben:Kannst du testweise mal in der includes/functions.php die beiden Vorkommen von

Code: Alles auswählen

!file_exists($pathinfo['dirname'])
in

Code: Alles auswählen

!file_exists($pathinfo['dirname'] . '/')
ändern?


Danke nickvergessen das hat mein Problem gelößt :)
Mahony hat geschrieben:Hallo
Das bedeutet also, das....... - aber motze hier nicht ohne dass du weißt, wovon du da schreibst. :evil:
P.S. Das letztere spiegelt lediglich meine persönliche Meinung wider und hat nichts mit phpbb.de oder meiner Funktion als Moderator hier zu tun.
Grüße: Mahony

@Mahony das hat mit gehen oder motzen absolut nichts zu tun, aber wenn eine neue Version solche Fehelermeldungen bringt (wo das Forum mit der alten Version bestens lief) dann denk ich mir das das kein Schritt in eine Weiterentwicklung ist. Bedenke das es einfach geschrieben ist "Kontaktiere deinen Hoster und bite ihn..." die meisten Hoster ist das egal. Deren ihr Server läuft optimal und werden wegen einem einzigen nichts an der konfiguration ändern. Und genau das ist das was mich ärgert, neue Version kommt läuft nicht und dann kommt -bitte deinen Hoster-

nickvergessen hat die Lösung ohne bitten des Hosters gepostet, danke nochmal damit läuft es.

Gruß
Stephan

Benutzeravatar
nickvergessen
Ehrenadmin
Beiträge: 11559
Registriert: 09.10.2006 21:56
Wohnort: Stuttgart, Germany
Kontaktdaten:

Re: Neu Install phpBB 3.0.8

Beitragvon nickvergessen » 24.11.2010 10:20

wintstar hat geschrieben:...aber wenn eine neue Version solche Fehlermeldungen bringt (wo das Forum mit der alten Version bestens lief) dann denk ich mir das das kein Schritt in eine Weiterentwicklung ist.
Nun, wir können nicht alle Server-Konfigurationen einzeln testen, auch wenn das vllt echt praktisch wäre... Deshalb hättest du einfach mal ein Bug-Ticket dafür erstellen können, anstelle gleich dne Kopf in den Sand zu setzen und anzunehmen wir wollten das Ding kaputt machen :o
kein Support per PN

Gast234254
Gesperrt
Beiträge: 1999
Registriert: 08.02.2009 22:58

Re: Neu Install phpBB 3.0.8

Beitragvon Gast234254 » 24.11.2010 19:17

Sorry, aber ich bin der Meinung das eine neue Version keine Verschlechterungen mit sich bringen soll. Die Version 3.0.8 bringt aber bei vielen -und ich bin mir sicher das es bei den meistens auch mit der Serverkonfiguratin zu tun hat- etliche Fehlermeldungen.

Siehe hier:
viewtopic.php?f=73&t=211457
viewtopic.php?f=73&t=211349
viewtopic.php?f=73&t=211435
viewtopic.php?f=73&t=211429
viewtopic.php?f=73&t=211369
viewtopic.php?f=73&t=211422
viewtopic.php?f=73&t=211313

Sind nicht grad wenige, auf phpbb.com sind es auch etliche. So stell ich mir eine neue Version nicht vor. Ok will nicht länger diskutieren aber das ist meine persönliche Einstellung und Meinung zu neuen Versionen.

Gruß
Stephan

wolfman24
Mitglied
Beiträge: 892
Registriert: 25.09.2005 13:17

Re: Neu Install phpBB 3.0.8

Beitragvon wolfman24 » 24.11.2010 19:44

Und wie immer melden sich nur die paar, die Probleme haben, warum auch immer. Die hunderte (oder tausende?) Benutzer, bei denen es problemlos funktioniert, schreiben halt darüber keine Beiträge. Deshalb ist es nicht notwendig die paar Beiträge hier aufzuzählen, das ist nicht repräsentativ.


Zurück zu „[3.0.x] Installation, Update und Konvertierung“